# TODO: Unnecessary, remo this file
REPO=harbor.hq.rosti.cz/rosti/runtime
DOCKER=docker
VERSION=2023.12-1
BASEIMAGE=debian:12

all: build

build:
	$(DOCKER) pull ${BASEIMAGE}
	$(DOCKER) build -t ${REPO}:dev .
	$(DOCKER) tag ${REPO}:dev ${REPO}:$(VERSION)
	@echo "JSON for admin:"
	python generate_versions.py

test:
	DOCKER=$(DOCKER) bash ./tests2.sh ${REPO}:$(VERSION)

squashed:
	$(DOCKER) pull ${BASEIMAGE}
	$(DOCKER) build --squash -t ${REPO}:dev-squashed .
	$(DOCKER) tag ${REPO}:dev-squashed ${REPO}:$(VERSION)
	@echo "JSON for admin:"
	python generate_versions.py

push: squashed
	$(DOCKER) push ${REPO}:$(VERSION) 
